QGIS Application - Feature request #12085
Composer JPG, PDF and other formats export options - dialog
2015-01-28 07:48 PM - Miroslav Umlauf

Status: Closed
Assignee:

Category:

Pull Request or Patch supplied: Resolution: duplicate
Easy fix?: No Copied to github as #: 20281
Description

#11787 was mostly about getting out georeferenced PDF/TIF from composer which is not that easy in Composer where it must be
somehow set by map frame. | think what is really missing is export option dialog or some tab in settings especially asking for compression
when saving to JPG or PDF (or other formats). The dialog could also in future contain way more like color settings etc. At this moment |
get PDFs about 2x times bigger than JPGs. PDFs are obviously only encapsulated JPGs to PDF format so it should have almost the same
size by default. Anyway be able to set the compression ratio somewhere would be handy.

Related issues:
Related to QGIS Application - Feature request # 11787: Map Composer: More exp... Open 2014-12-03

History

#1 - 2015-01-28 08:00 PM - Miroslav Umlauf

Now looking at JPG compared to PDF it seems to me the size difference is because JPG file is saved in RGB colours where JPG in PDF is in CMYK,

mmm...

#2 - 2015-01-30 04:39 AM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Open to Closed

this is duplicate of #11787, add your notes there about more exporting options.

The issue about the size of the PDF is a separate one, so better to discuss it in the users/developers mailing lists and then eventually file the proper ticket.
